import { Plugin } from '../plugin';
import { InteractionService } from './interaction-service';
export declare class InteractionPlugin extends Plugin {
    private _interactionService?;
    get interactionService(): InteractionService | undefined;
    protected init(): void;
    protected destroy(): void;
}
